/* Problem URL: https://codeforces.com/contest/2123/problem/C */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;
    while (t--) {
        int n;
        cin >> n;

        vi fds(n);
        cin >> fds;

        while (__builtin_popcount(fds.size()) != 1) {
            fds.push_back(0);
        }

        auto comp = [&](pair<int, int> a, pair<int, int> b) {
            return make_pair(max(a.first, b.first), min(a.second, b.second));
        };

        V<pair<int, int>> seg(fds.size() * 2);

        for (int i = fds.size(); i < fds.size() * 2; i++) {
            seg[i] = {fds[i - fds.size()], fds[i - fds.size()]};
        }

        for (int i = fds.size() - 1; i > 0; i--) {
            seg[i] = comp(seg[i * 2], seg[i * 2 + 1]);
        }

        function<pair<int, int>(int, int, int, int, int)> search = [&](int i, int l, int r, int tl, int tr) -> pair<int, int> {
            if (l > tr || r < tl) {
                return {-1, 1e9};
            }

            if (l >= tl && r <= tr) {
                return seg[i];
            }

            int mid = (l + r) / 2;

            return comp(search(i * 2, l, mid, tl, tr), search(i * 2 + 1, mid + 1, r, tl, tr));
        };

        rep(i, n) {
            auto [lmax, lmin] = search(1, 0, fds.size() - 1, 0, i - 1);
            auto [rmax, rmin] = search(1, 0, fds.size() - 1, i + 1, n - 1);

            int now = fds[i];

            if (now < lmin && now < rmin) {
                cout << "1";
                continue;
            }

            if (now > lmax && now > rmax) {
                cout << "1";
                continue;
            }

            if (now < rmax && now < lmin) {
                cout << "1";
                continue;
            }

            if (now > rmax && now > lmin) {
                cout << "1";
                continue;
            }

            if (now > rmax && now < lmin) {
                cout << "1";
                continue;
            }

            cout << "0";
        }
        cout << "\n";
    }
}
